; compile with BGLC /MDL C:\gmax\gamepacks\fs2004\movestairs.asm
    db  'R','I','F','F'				; RIFF file identifier
    dd  bgl_data_end - $ - 4		    ; size of RIFF data
    db  'M','D','L','9'				; file identifire (FS9 model)

    db  'M','D','L','H'
    dd  visual_model_header_end - $ - 4
    dd  visual_model_header_end - $ - 4
    dd  0
    dd  0
    dd  6
    dd  0
    dd  0
    dd  152
    db  'F','S','8','0'
    dd  2304
visual_model_header_end  label dword

    db  'I','S','F','T'   
    dd  ver_end - $ - 4  
    db  "MakeMDL - FS90 (9.00.030612.02)",0
ver_end label word       

bounding_box_riff_start	label	word
    db  'B','B','O','X'   
    dd  bounding_box_riff_end - $ - 4
    real4  -0.800, 0.012, -4.232  
    real4  0.800, 4.378, 4.536  
bounding_box_riff_end label word       


model_outside    label    BGLCODE
model_shadow label BGLCODE
model_inside  label    BGLCODE
crash_riff_start label BGLCODE
    db  'C','R','A','S'   
    dd  crash_riff_end - $ - 4
    BGL_CRASH_START   model_crash_end, 5
    BGL_CRASH_OCTTREE  crash_end_1
    dw     CRASH_FLAG_BUILDING_PLANE            ; crash type
    dw     24            ; nodes used
    real4  -0.800000,0.011556,-4.231993      ; Box x,y,z 
    real4  2.922858,4.366678,8.768573      ; Box w,h,d 
    dw   1,   8,   8,  15,  24,  24,  24,  24    ; base offset into node table, one for each top-level branch
    ; So if you take branch 2 (count from 0), you add 8 to indices you encounter on that branch
    ; Nodes (254=empty 255=full, else an index into branch)
    OCTTREE_NODE     0, 254,   0,   0, 254, 254, 254, 254           ; node   0
    OCTTREE_NODE     1, 254,   2,   3,   4, 254,   5,   6           ; node   1
    OCTTREE_NODE   255, 254, 255, 255, 255, 254, 255, 255           ; node   2
    OCTTREE_NODE   255, 255, 255, 255, 254, 255, 254, 255           ; node   3
    OCTTREE_NODE   255, 254, 255, 254, 254, 254, 255, 254           ; node   4
    OCTTREE_NODE   255, 254, 255, 255, 255, 254, 255, 255           ; node   5
    OCTTREE_NODE   254, 255, 254, 255, 255, 255, 255, 255           ; node   6
    OCTTREE_NODE   254, 254, 255, 254, 255, 254, 255, 254           ; node   7
    OCTTREE_NODE     1,   2, 254,   3,   4,   5, 254,   6           ; node   8
    OCTTREE_NODE   254, 255, 254, 255, 254, 254, 254, 254           ; node   9
    OCTTREE_NODE   255, 255, 255, 255, 255, 255, 254, 255           ; node  10
    OCTTREE_NODE   255, 255, 254, 255, 254, 254, 254, 254           ; node  11
    OCTTREE_NODE   254, 254, 254, 254, 254, 255, 254, 255           ; node  12
    OCTTREE_NODE   255, 255, 254, 255, 255, 255, 255, 255           ; node  13
    OCTTREE_NODE   254, 254, 254, 254, 255, 255, 254, 255           ; node  14
    OCTTREE_NODE     1,   2,   3,   4,   5,   6,   7,   8           ; node  15
    OCTTREE_NODE   254, 254, 255, 255, 254, 254, 255, 255           ; node  16
    OCTTREE_NODE   254, 254, 255, 255, 254, 254, 255, 255           ; node  17
    OCTTREE_NODE   255, 255, 255, 255, 255, 255, 254, 254           ; node  18
    OCTTREE_NODE   255, 255, 255, 255, 255, 255, 254, 254           ; node  19
    OCTTREE_NODE   254, 254, 255, 255, 254, 254, 255, 255           ; node  20
    OCTTREE_NODE   254, 254, 255, 255, 254, 254, 255, 255           ; node  21
    OCTTREE_NODE   255, 255, 254, 254, 255, 255, 255, 255           ; node  22
    OCTTREE_NODE   255, 255, 254, 254, 255, 255, 255, 255           ; node  23
crash_end_1 label word
model_crash_end label word
    BGL_RETURN
crash_riff_end	label	BGLCODE

exterior_riff_start_0 label BGLCODE
    db  'E','X','T','E'   
    dd  exterior_riff_end_0 - $ - 4
LOD_0L    label    BGLCODE
    include    C:\gmax\gamepacks\fs2004\movestairs_0.asm
exterior_riff_end_0	label	BGLCODE



bgl_data_end label     BGLCODE    
